/*
 * tools.h
 *
 * Created: 20.08.2019 9:59:00
 *  Author: Radioman
 */ 

#ifndef TOOLS_H_
#define TOOLS_H_

#include <stdint.h>

void UInt8ToFloat(uint8_t *int_part, uint8_t *frac_part, float *result);
void FloatToUInt8(float *input, uint8_t *int_out, uint8_t *frac_out);
//void arrncpy(void *dest, void *source, uint16_t n);

inline double Approx(double x1, double x2, double y1, double y2, double x)
{ return(y1 + ((y2 - y1) * (x - x1) / (x2 - x1))); }

#endif /* TOOLS_H_ */
